*SAS Program 4.5-1;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';
Data Lib.ML_Chap4_data;
Keep ID time QOL SATS Trt AGE gender EDU DIAGNOSIS;
 Set Lib.ML_Chap4_rawdata;
Array T(7) t1-t7;
Array A(7) qol0-qol6;
Array B(7) sats0-sats6;
Do i = 1 to 7;
 time=T(i);
 QOL=A(i); 
 SATS=B(i);
Output;
End;

Proc print noobs; 
var ID time QOL SATS Trt AGE gender EDU DIAGNOSIS;
Run;
