*SAS Program 4.6.2-1;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';

Data Data1;
 Set Lib.ML_Chap4_data;

Proc Mixed covtest noclprint;
Class ID;
ID ID Time QOL;
Model QOL = Time 
  /S DDFM=KR OUTP=PQOL(keep=ID Time QOL PRED);
Random Int /subject=ID;
Run;

Proc Gplot data=PQOL;
Symbol1 v=none repeat=203 i=join color=cyan;
Symbol2 v=none i=sm50s color=red w=4;
Plot  pred*time=id  /haxis=0 to 6 nolegend;  
Plot2 PRED*Time;    
Label Time=Month;
Title 'Fitted individual and average lines for random intercept model';
Run;
Quit;
