*SAS Program 4.6.7-2;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';

Data Data1;
 Set Lib.ML_Chap4_data;

Timec=Time;
%Macro Fit(COV);
ODS exclude ClassLevels IterHistory;
Proc Mixed covtest noclprint;  
Class ID Timec;
Model QOL= Trt|Time / S DDFM=KR;
Repeated Timec/subject=ID R RCORR TYPE=&COV;
Run;
%Mend Fit; 
%Fit(UN)
%Fit(CS)
%Fit(AR(1))
%Fit(TOEP)
%Fit(HF)
