*SAS program 3.7-2;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data Data1;
Set lib.ML_data_Chap3;

PROC MIXED METHOD=REML noclprint COVTEST; 
CLASS Site Edu_gp; 
MODEL Lninj= HIV_Region|Ethnic Gender Gdmc_Age Edu_Gp
  /SOLUTION DDFM=BW;
RANDOM INT Ethnic/SUBJECT=Site TYPE=UN;
LSMEANS Edu_gp/DIFF;
ESTIMATE 'Edu_gp 2 & 3 vs. Edu_gp 1' Edu_gp -1 0.6873 0.3127;
ESTIMATE 'Edu_gp 3 vs. Edu_gp 1 & 2' Edu_gp -0.4907 -0.5093 1;
CONTRAST 'Edu_gp 2 & 3 vs. Edu_gp 1' Edu_gp -1 0.6873 0.3127;
CONTRAST 'Edu_gp 3 vs. Edu_gp 1 & 2' Edu_gp -0.4907 -0.5093 1;
Run;
