*SAS Program 4.6.8-2;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data data1;
 Set Lib.ML_Chap4_data;

Timec=Time;
Proc SQL;
Create table data2 as select *,
  mean(SATS) as Mean_SATS, SATS-mean(SATS) as Dev_SATS from data1
Group by ID;
Quit;

Proc Mixed data=data2 METHOD=ML covtest noclprint;  
Class ID Timec;
Model QOL= Trt|Time SATS/ S DDFM=KR;
Random Int Time/subject=ID G type=UN;
Repeated Timec/subject=ID R type=AR(1);
Run;

Proc Mixed data=data2 METHOD=ML covtest noclprint;  
Class ID Timec;
Model QOL= Trt| Time Mean_SATS Dev_SATS/S DDFM=KR;
Random Int Time /subject=ID G type=UN;
Repeated Timec /subject=ID R type=AR(1);
Run;
