*SAS Program 4.7.3-1;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data data1;
  Set Lib.ML_Chap4_data;

C_QOL=QOL;
if Time = 0 and QOL > 5 then C_QOL= 5;
If Time =0 then do;
  Time1=0;
  Time2=0;
End;
Else if Time in (1,2,3,4,5,6) then do;
  Time1=1;
  Time2=Time-1;
End;

Proc Mixed covtest noclprint noitprint IC;
Class ID;
Model C_QOL=Trt|Time1 Trt|Time2 
    / S DDFM=KR OUTPM=Pred_out1 (keep=Time Trt C_QOL Pred);
Random int Time1 Time2/subject=ID type=UN; 
Run;


