*SAS Program 5.3.5-2;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';

Data ML_logit; 
  Set Lib.ML_data_Chap5;

PROC NLMIXED;
PARMS B0=0 V_u0=1;  
logodds=B0 + u0j; 
odds=exp(logodds);
P=odds/(1+odds);
Model heavy_inj~binary(P);
RANDOM u0j~normal(0, V_u0) subject=site;
ESTIMATE 'ICC' V_u0/(V_u0+3.289868134);
Run;

