*SAS Program 5.3.6-1;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';

Data data1;
 Set Lib.ML_data2_Chap5;

Gdmc_age=age-33.70; 
PROC Format; value Treatment 1='Treatment' 0='Control';
PROC GLIMMIX;    
Class ID; 
Model hospdum (event='1')=Trt|time Gdmc_age gender edu
 /S DIST=BINARY LINK=LOGIT DDFM=BW;
RANDOM Int time/subject=ID TYPE=Chol; 
NLOPTIONS TECH=NRRIDG;
Format Trt Treatment.; 
Run;
